Search Account
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/search/account \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/search/account"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/search/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": 1,
"cursor": 12,
"log_pb": {
"impr_id": "20251120012712816099520CDA04824F17"
},
"user_list": [
{
"user_info": {
"uid": "6881290705605477381",
"nickname": "Taylor Swift",
"signature": "This is pretty much just a cat account",
"avatar_thumb": {
"uri": "tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba",
"url_list": [
"https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:100:100.webp?biz_tag=tiktok_user.user_cover&dr=14579&idc=my&ps=13740610&refresh_token=532dfbd1&shcp=c1333099&shp=30310797&t=4d5b0474&x-expires=1764226800&x-signature=uN3qdOWoiodw3SgcQmiEufsX4tk%3D",
"https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:100:100.jpeg?biz_tag=tiktok_user.user_cover&dr=14579&idc=my&ps=13740610&refresh_token=b29c771f&shcp=c1333099&shp=30310797&t=4d5b0474&x-expires=1764226800&x-signature=SP8r9XFIkHLPpJxsClv88JlLMNE%3D"
],
"width": 720,
"height": 720,
"url_prefix": null
},
"follower_count": 33300000,
"total_favorited": 263939715,
"custom_verify": "Verified account",
"unique_id": "taylorswift",
"room_id": 0,
"enterprise_verify_reason": "",
"followers_detail": null,
"platform_sync_info": null,
"geofencing": null,
"cover_url": null,
"item_list": null,
"type_label": null,
"ad_cover_url": null,
"relative_users": null,
"cha_list": null,
"sec_uid": "MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6",
"need_points": null,
"homepage_bottom_toast": null,
"can_set_geofencing": null,
"white_cover_url": null,
"user_tags": null,
"bold_fields": null,
"search_highlight": null,
"mutual_relation_avatars": null,
"room_id_str": "",
"events": null,
"advance_feature_item_order": null,
"advanced_feature_info": null,
"user_profile_guide": null,
"shield_edit_field_info": null,
"can_message_follow_status_list": null,
"account_labels": null
},
"position": null,
"uniqid_position": null,
"effects": null,
"musics": null,
"items": null,
"mix_list": null,
"challenges": null
}
]
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Search
Search Account
Search Account
GET
/
api
/
search
/
account
Search Account
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Search keyword
Minimum string length:
1Example:
"taylor"
cursor parameter is used for pagination. In the first request, the default value of cursor is 0. For subsequent requests, the value of cursor will be taken from the response of the previous request. In the Search Endpoints, both cursor and search_id need to be provided when pagination is used
Example:
0
search_id parameter is used for pagination. In the first request, the default value of the search_id is 0. For subsequent requests, the value of the cursor will be taken from the response of the previous request (from: log_pb.impr_id). In the Search Endpoints, both cursor and search_id need to be provided when pagination is used
Example:
"0"
Was this page helpful?
⌘I

